Index: uspace/lib/ext4/src/ops.c
===================================================================
--- uspace/lib/ext4/src/ops.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/ext4/src/ops.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1021,8 +1021,8 @@
 	 * Receive the read request.
 	 */
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -1031,5 +1031,5 @@
 	errno_t rc = ext4_instance_get(service_id, &inst);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 	}
@@ -1039,5 +1039,5 @@
 	rc = ext4_filesystem_get_inode_ref(inst->filesystem, index, &inode_ref);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 	}
@@ -1046,13 +1046,13 @@
 	if (ext4_inode_is_type(inst->filesystem->superblock, inode_ref->inode,
 	    EXT4_INODE_MODE_FILE)) {
-		rc = ext4_read_file(callid, pos, size, inst, inode_ref,
+		rc = ext4_read_file(chandle, pos, size, inst, inode_ref,
 		    rbytes);
 	} else if (ext4_inode_is_type(inst->filesystem->superblock,
 	    inode_ref->inode, EXT4_INODE_MODE_DIRECTORY)) {
-		rc = ext4_read_directory(callid, pos, size, inst, inode_ref,
+		rc = ext4_read_directory(chandle, pos, size, inst, inode_ref,
 		    rbytes);
 	} else {
 		/* Other inode types not supported */
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		rc = ENOTSUP;
 	}
@@ -1084,5 +1084,5 @@
 /** Read data from directory.
  *
- * @param callid    IPC id of call (for communication)
+ * @param chandle    IPC id of call (for communication)
  * @param pos       Position to start reading from
  * @param size      How many bytes to read
@@ -1094,5 +1094,5 @@
  *
  */
-errno_t ext4_read_directory(cap_call_handle_t callid, aoff64_t pos, size_t size,
+errno_t ext4_read_directory(cap_call_handle_t chandle, aoff64_t pos, size_t size,
     ext4_instance_t *inst, ext4_inode_ref_t *inode_ref, size_t *rbytes)
 {
@@ -1100,5 +1100,5 @@
 	errno_t rc = ext4_directory_iterator_init(&it, inode_ref, pos);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 	}
@@ -1129,5 +1129,5 @@
 		if (buf == NULL) {
 			ext4_directory_iterator_fini(&it);
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return ENOMEM;
 		}
@@ -1137,5 +1137,5 @@
 		found = true;
 
-		(void) async_data_read_finalize(callid, buf, name_size + 1);
+		(void) async_data_read_finalize(chandle, buf, name_size + 1);
 		free(buf);
 		break;
@@ -1145,5 +1145,5 @@
 		if (rc != EOK) {
 			ext4_directory_iterator_fini(&it);
-			async_answer_0(callid, rc);
+			async_answer_0(chandle, rc);
 			return rc;
 		}
@@ -1168,5 +1168,5 @@
 		return EOK;
 	} else {
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return ENOENT;
 	}
@@ -1175,5 +1175,5 @@
 /** Read data from file.
  *
- * @param callid    IPC id of call (for communication)
+ * @param chandle    IPC id of call (for communication)
  * @param pos       Position to start reading from
  * @param size      How many bytes to read
@@ -1185,5 +1185,5 @@
  *
  */
-errno_t ext4_read_file(cap_call_handle_t callid, aoff64_t pos, size_t size,
+errno_t ext4_read_file(cap_call_handle_t chandle, aoff64_t pos, size_t size,
     ext4_instance_t *inst, ext4_inode_ref_t *inode_ref, size_t *rbytes)
 {
@@ -1193,5 +1193,5 @@
 	if (pos >= file_size) {
 		/* Read 0 bytes successfully */
-		async_data_read_finalize(callid, NULL, 0);
+		async_data_read_finalize(chandle, NULL, 0);
 		*rbytes = 0;
 		return EOK;
@@ -1213,5 +1213,5 @@
 	    file_block, &fs_block);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 	}
@@ -1227,5 +1227,5 @@
 		buffer = malloc(bytes);
 		if (buffer == NULL) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return ENOMEM;
 		}
@@ -1233,5 +1233,5 @@
 		memset(buffer, 0, bytes);
 
-		rc = async_data_read_finalize(callid, buffer, bytes);
+		rc = async_data_read_finalize(chandle, buffer, bytes);
 		*rbytes = bytes;
 
@@ -1244,10 +1244,10 @@
 	rc = block_get(&block, inst->service_id, fs_block, BLOCK_FLAGS_NONE);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return rc;
 	}
 
 	assert(offset_in_block + bytes <= block_size);
-	rc = async_data_read_finalize(callid, block->data + offset_in_block, bytes);
+	rc = async_data_read_finalize(chandle, block->data + offset_in_block, bytes);
 	if (rc != EOK) {
 		block_put(block);
@@ -1283,9 +1283,9 @@
 		return rc;
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
-	if (!async_data_write_receive(&callid, &len)) {
+	if (!async_data_write_receive(&chandle, &len)) {
 		rc = EINVAL;
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		goto exit;
 	}
@@ -1311,5 +1311,5 @@
 	    &fblock);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		goto exit;
 	}
@@ -1328,5 +1328,5 @@
 				    &fblock, true);
 				if (rc != EOK) {
-					async_answer_0(callid, rc);
+					async_answer_0(chandle, rc);
 					goto exit;
 				}
@@ -1336,5 +1336,5 @@
 			    &fblock, false);
 			if (rc != EOK) {
-				async_answer_0(callid, rc);
+				async_answer_0(chandle, rc);
 				goto exit;
 			}
@@ -1342,5 +1342,5 @@
 			rc = ext4_balloc_alloc_block(inode_ref, &fblock);
 			if (rc != EOK) {
-				async_answer_0(callid, rc);
+				async_answer_0(chandle, rc);
 				goto exit;
 			}
@@ -1350,5 +1350,5 @@
 			if (rc != EOK) {
 				ext4_balloc_free_block(inode_ref, fblock);
-				async_answer_0(callid, rc);
+				async_answer_0(chandle, rc);
 				goto exit;
 			}
@@ -1363,5 +1363,5 @@
 	rc = block_get(&write_block, service_id, fblock, flags);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		goto exit;
 	}
@@ -1370,5 +1370,5 @@
 		memset(write_block->data, 0, block_size);
 
-	rc = async_data_write_finalize(callid, write_block->data +
+	rc = async_data_write_finalize(chandle, write_block->data +
 	    (pos % block_size), bytes);
 	if (rc != EOK) {
Index: uspace/lib/fs/libfs.c
===================================================================
--- uspace/lib/fs/libfs.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/fs/libfs.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -87,9 +87,9 @@
 	vfs_fs_probe_info_t info;
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if ((!async_data_read_receive(&callid, &size)) ||
+	if ((!async_data_read_receive(&chandle, &size)) ||
 	    (size != sizeof(info))) {
-		async_answer_0(callid, EIO);
+		async_answer_0(chandle, EIO);
 		async_answer_0(rid, EIO);
 		return;
@@ -99,10 +99,10 @@
 	rc = vfs_out_ops->fsprobe(service_id, &info);
 	if (rc != EOK) {
-		async_answer_0(callid, EIO);
+		async_answer_0(chandle, EIO);
 		async_answer_0(rid, rc);
 		return;
 	}
 
-	async_data_read_finalize(callid, &info, sizeof(info));
+	async_data_read_finalize(chandle, &info, sizeof(info));
 	async_answer_0(rid, EOK);
 }
@@ -278,7 +278,7 @@
 }
 
-static void vfs_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	if (iid) {
+static void vfs_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	if (icall_handle) {
 		/*
 		 * This only happens for connections opened by
@@ -286,10 +286,10 @@
 		 * created by IPC_M_CONNECT_TO_ME.
 		 */
-		async_answer_0(iid, EOK);
+		async_answer_0(icall_handle, EOK);
 	}
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -298,50 +298,50 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case VFS_OUT_FSPROBE:
-			vfs_out_fsprobe(callid, &call);
+			vfs_out_fsprobe(chandle, &call);
 			break;
 		case VFS_OUT_MOUNTED:
-			vfs_out_mounted(callid, &call);
+			vfs_out_mounted(chandle, &call);
 			break;
 		case VFS_OUT_UNMOUNTED:
-			vfs_out_unmounted(callid, &call);
+			vfs_out_unmounted(chandle, &call);
 			break;
 		case VFS_OUT_LINK:
-			vfs_out_link(callid, &call);
+			vfs_out_link(chandle, &call);
 			break;
 		case VFS_OUT_LOOKUP:
-			vfs_out_lookup(callid, &call);
+			vfs_out_lookup(chandle, &call);
 			break;
 		case VFS_OUT_READ:
-			vfs_out_read(callid, &call);
+			vfs_out_read(chandle, &call);
 			break;
 		case VFS_OUT_WRITE:
-			vfs_out_write(callid, &call);
+			vfs_out_write(chandle, &call);
 			break;
 		case VFS_OUT_TRUNCATE:
-			vfs_out_truncate(callid, &call);
+			vfs_out_truncate(chandle, &call);
 			break;
 		case VFS_OUT_CLOSE:
-			vfs_out_close(callid, &call);
+			vfs_out_close(chandle, &call);
 			break;
 		case VFS_OUT_DESTROY:
-			vfs_out_destroy(callid, &call);
+			vfs_out_destroy(chandle, &call);
 			break;
 		case VFS_OUT_OPEN_NODE:
-			vfs_out_open_node(callid, &call);
+			vfs_out_open_node(chandle, &call);
 			break;
 		case VFS_OUT_STAT:
-			vfs_out_stat(callid, &call);
+			vfs_out_stat(chandle, &call);
 			break;
 		case VFS_OUT_SYNC:
-			vfs_out_sync(callid, &call);
+			vfs_out_sync(chandle, &call);
 			break;
 		case VFS_OUT_STATFS:
-			vfs_out_statfs(callid, &call);
+			vfs_out_statfs(chandle, &call);
 			break;
 		case VFS_OUT_IS_EMPTY:
-			vfs_out_is_empty(callid, &call);
+			vfs_out_is_empty(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			break;
 		}
@@ -730,10 +730,10 @@
 	on_error(rc, answer_and_return(rid, rc));
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if ((!async_data_read_receive(&callid, &size)) ||
+	if ((!async_data_read_receive(&chandle, &size)) ||
 	    (size != sizeof(vfs_stat_t))) {
 		ops->node_put(fn);
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		async_answer_0(rid, EINVAL);
 		return;
@@ -755,5 +755,5 @@
 
 
-	async_data_read_finalize(callid, &stat, sizeof(vfs_stat_t));
+	async_data_read_finalize(chandle, &stat, sizeof(vfs_stat_t));
 	async_answer_0(rid, EOK);
 }
@@ -769,7 +769,7 @@
 	on_error(rc, answer_and_return(rid, rc));
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if ((!async_data_read_receive(&callid, &size)) ||
+	if ((!async_data_read_receive(&chandle, &size)) ||
 	    (size != sizeof(vfs_statfs_t))) {
 		goto error;
@@ -800,5 +800,5 @@
 
 	ops->node_put(fn);
-	async_data_read_finalize(callid, &st, sizeof(vfs_statfs_t));
+	async_data_read_finalize(chandle, &st, sizeof(vfs_statfs_t));
 	async_answer_0(rid, EOK);
 	return;
@@ -806,5 +806,5 @@
 error:
 	ops->node_put(fn);
-	async_answer_0(callid, EINVAL);
+	async_answer_0(chandle, EINVAL);
 	async_answer_0(rid, EINVAL);
 }
Index: uspace/lib/graph/graph.c
===================================================================
--- uspace/lib/graph/graph.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/graph/graph.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -239,12 +239,12 @@
 }
 
-static void vs_claim(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
+static void vs_claim(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	vs->client_side_handle = IPC_GET_ARG1(*icall);
 	errno_t rc = vs->ops.claim(vs);
-	async_answer_0(iid, rc);
-}
-
-static void vs_yield(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void vs_yield(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	/* Deallocate resources for the current mode. */
@@ -264,15 +264,15 @@
 		vs->mode_set = false;
 
-	async_answer_0(iid, rc);
-}
-
-static void vs_enumerate_modes(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_0(icall_handle, rc);
+}
+
+static void vs_enumerate_modes(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t len;
 
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -285,9 +285,9 @@
 		    list_get_instance(link, vslmode_list_element_t, link);
 
-		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
-		async_answer_0(iid, rc);
+		errno_t rc = async_data_read_finalize(chandle, &mode_elem->mode, len);
+		async_answer_0(icall_handle, rc);
 	} else {
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 	}
 
@@ -295,12 +295,12 @@
 }
 
-static void vs_get_default_mode(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void vs_get_default_mode(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t len;
 
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -317,10 +317,10 @@
 
 	if (mode_elem != NULL) {
-		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
-		async_answer_0(iid, rc);
+		errno_t rc = async_data_read_finalize(chandle, &mode_elem->mode, len);
+		async_answer_0(icall_handle, rc);
 	} else {
 		fibril_mutex_unlock(&vs->mode_mtx);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 	}
 
@@ -328,32 +328,32 @@
 }
 
-static void vs_get_current_mode(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void vs_get_current_mode(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t len;
 
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (vs->mode_set) {
-		errno_t rc = async_data_read_finalize(callid, &vs->cur_mode, len);
-		async_answer_0(iid, rc);
+		errno_t rc = async_data_read_finalize(chandle, &vs->cur_mode, len);
+		async_answer_0(icall_handle, rc);
 	} else {
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
-	}
-}
-
-static void vs_get_mode(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
+	}
+}
+
+static void vs_get_mode(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t len;
 
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -372,9 +372,9 @@
 
 	if (mode_elem != NULL) {
-		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
-		async_answer_0(iid, rc);
+		errno_t rc = async_data_read_finalize(chandle, &mode_elem->mode, len);
+		async_answer_0(icall_handle, rc);
 	} else {
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 	}
 
@@ -382,14 +382,14 @@
 }
 
-static void vs_set_mode(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void vs_set_mode(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	unsigned int flags;
 
 	/* Retrieve the shared cell storage for the new mode. */
-	if (!async_share_out_receive(&callid, &size, &flags)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_share_out_receive(&chandle, &size, &flags)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -412,6 +412,6 @@
 	if (mode_elem == NULL) {
 		fibril_mutex_unlock(&vs->mode_mtx);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -423,13 +423,13 @@
 	/* Check whether the mode is still up-to-date. */
 	if (new_mode.version != mode_version) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	void *new_cell_storage;
-	errno_t rc = async_share_out_finalize(callid, &new_cell_storage);
+	errno_t rc = async_share_out_finalize(chandle, &new_cell_storage);
 	if ((rc != EOK) || (new_cell_storage == AS_MAP_FAILED)) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -441,5 +441,5 @@
 	if (rc != EOK) {
 		as_area_destroy(new_cell_storage);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -464,8 +464,8 @@
 	vs->mode_set = true;
 
-	async_answer_0(iid, EOK);
-}
-
-static void vs_update_damaged_region(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void vs_update_damaged_region(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t x_offset = (IPC_GET_ARG5(*icall) >> 16);
@@ -476,48 +476,48 @@
 	    IPC_GET_ARG3(*icall), IPC_GET_ARG4(*icall),
 	    x_offset, y_offset);
-	async_answer_0(iid, rc);
-}
-
-static void vs_suspend(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void vs_suspend(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	errno_t rc = vs->ops.suspend(vs);
-	async_answer_0(iid, rc);
-}
-
-static void vs_wakeup(visualizer_t *vs, cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void vs_wakeup(visualizer_t *vs, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	errno_t rc = vs->ops.wakeup(vs);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
 void graph_visualizer_connection(visualizer_t *vs,
-    cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+    cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ipc_call_t call;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 
 	/* Claim the visualizer. */
 	if (!cas(&vs->ref_cnt, 0, 1)) {
-		async_answer_0(iid, ELIMIT);
+		async_answer_0(icall_handle, ELIMIT);
 		return;
 	}
 
 	/* Accept the connection. */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	/* Establish callback session. */
-	callid = async_get_call(&call);
+	chandle = async_get_call(&call);
 	vs->notif_sess = async_callback_receive_start(EXCHANGE_SERIALIZE, &call);
 	if (vs->notif_sess != NULL)
-		async_answer_0(callid, EOK);
+		async_answer_0(chandle, EOK);
 	else
-		async_answer_0(callid, ELIMIT);
+		async_answer_0(chandle, ELIMIT);
 
 	/* Enter command loop. */
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
@@ -525,35 +525,35 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case VISUALIZER_CLAIM:
-			vs_claim(vs, callid, &call);
+			vs_claim(vs, chandle, &call);
 			break;
 		case VISUALIZER_YIELD:
-			vs_yield(vs, callid, &call);
+			vs_yield(vs, chandle, &call);
 			goto terminate;
 		case VISUALIZER_ENUMERATE_MODES:
-			vs_enumerate_modes(vs, callid, &call);
+			vs_enumerate_modes(vs, chandle, &call);
 			break;
 		case VISUALIZER_GET_DEFAULT_MODE:
-			vs_get_default_mode(vs, callid, &call);
+			vs_get_default_mode(vs, chandle, &call);
 			break;
 		case VISUALIZER_GET_CURRENT_MODE:
-			vs_get_current_mode(vs, callid, &call);
+			vs_get_current_mode(vs, chandle, &call);
 			break;
 		case VISUALIZER_GET_MODE:
-			vs_get_mode(vs, callid, &call);
+			vs_get_mode(vs, chandle, &call);
 			break;
 		case VISUALIZER_SET_MODE:
-			vs_set_mode(vs, callid, &call);
+			vs_set_mode(vs, chandle, &call);
 			break;
 		case VISUALIZER_UPDATE_DAMAGED_REGION:
-			vs_update_damaged_region(vs, callid, &call);
+			vs_update_damaged_region(vs, chandle, &call);
 			break;
 		case VISUALIZER_SUSPEND:
-			vs_suspend(vs, callid, &call);
+			vs_suspend(vs, chandle, &call);
 			break;
 		case VISUALIZER_WAKE_UP:
-			vs_wakeup(vs, callid, &call);
+			vs_wakeup(vs, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			goto terminate;
 		}
@@ -567,21 +567,21 @@
 
 void graph_renderer_connection(renderer_t *rnd,
-    cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+    cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	// TODO
 
 	ipc_call_t call;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 
 	/* Accept the connection. */
 	atomic_inc(&rnd->ref_cnt);
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	/* Enter command loop. */
 	while (true) {
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		}
@@ -589,5 +589,5 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			goto terminate;
 		}
@@ -598,5 +598,5 @@
 }
 
-void graph_client_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void graph_client_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Find the visualizer or renderer with the given service ID. */
@@ -605,9 +605,9 @@
 
 	if (vs != NULL)
-		graph_visualizer_connection(vs, iid, icall, arg);
+		graph_visualizer_connection(vs, icall_handle, icall, arg);
 	else if (rnd != NULL)
-		graph_renderer_connection(rnd, iid, icall, arg);
+		graph_renderer_connection(rnd, icall_handle, icall, arg);
 	else
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 }
 
Index: uspace/lib/gui/terminal.c
===================================================================
--- uspace/lib/gui/terminal.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/gui/terminal.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -677,5 +677,5 @@
 }
 
-static void term_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void term_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	terminal_t *term = NULL;
@@ -689,5 +689,5 @@
 
 	if (term == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -696,5 +696,5 @@
 		chargrid_set_cursor_visibility(term->frontbuf, true);
 
-	con_conn(iid, icall, &term->srvs);
+	con_conn(icall_handle, icall, &term->srvs);
 }
 
Index: uspace/lib/hound/include/hound/protocol.h
===================================================================
--- uspace/lib/hound/include/hound/protocol.h	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/hound/include/hound/protocol.h	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -127,5 +127,5 @@
 void hound_service_set_server_iface(const hound_server_iface_t *iface);
 
-void hound_connection_handler(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+void hound_connection_handler(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 #endif
Index: uspace/lib/hound/src/protocol.c
===================================================================
--- uspace/lib/hound/src/protocol.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/hound/src/protocol.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -384,5 +384,5 @@
  * @param arg (unused)
  */
-void hound_connection_handler(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void hound_connection_handler(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	hound_context_id_t id;
@@ -394,7 +394,7 @@
 	/* Accept connection if there is a valid iface*/
 	if (server_iface) {
-		async_answer_0(iid, EOK);
+		async_answer_0(icall_handle, EOK);
 	} else {
-		async_answer_0(iid, ENOTSUP);
+		async_answer_0(icall_handle, ENOTSUP);
 		return;
 	}
@@ -402,10 +402,10 @@
 	while (1) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		switch (IPC_GET_IMETHOD(call)) {
 		case IPC_M_HOUND_CONTEXT_REGISTER:
 			/* check interface functions */
 			if (!server_iface || !server_iface->add_context) {
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				break;
 			}
@@ -416,5 +416,5 @@
 			ret = async_data_write_accept(&name, true, 0, 0, 0, 0);
 			if (ret != EOK) {
-				async_answer_0(callid, ret);
+				async_answer_0(chandle, ret);
 				break;
 			}
@@ -426,7 +426,7 @@
 			free(name);
 			if (ret != EOK) {
-				async_answer_0(callid, ret);
+				async_answer_0(chandle, ret);
 			} else {
-				async_answer_1(callid, EOK, CAP_HANDLE_RAW(id));
+				async_answer_1(chandle, EOK, CAP_HANDLE_RAW(id));
 			}
 			break;
@@ -434,5 +434,5 @@
 			/* check interface functions */
 			if (!server_iface || !server_iface->rem_context) {
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				break;
 			}
@@ -442,10 +442,10 @@
 			ret = server_iface->rem_context(server_iface->server,
 			    id);
-			async_answer_0(callid, ret);
+			async_answer_0(chandle, ret);
 			break;
 		case IPC_M_HOUND_GET_LIST:
 			/* check interface functions */
 			if (!server_iface || !server_iface->get_list) {
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				break;
 			}
@@ -475,5 +475,5 @@
 			if (count && !sizes)
 				ret = ENOMEM;
-			async_answer_1(callid, ret, count);
+			async_answer_1(chandle, ret, count);
 
 			/* We are done */
@@ -509,5 +509,5 @@
 			/* check interface functions */
 			if (!server_iface || !server_iface->connect) {
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				break;
 			}
@@ -529,10 +529,10 @@
 			free(source);
 			free(sink);
-			async_answer_0(callid, ret);
+			async_answer_0(chandle, ret);
 			break;
 		case IPC_M_HOUND_DISCONNECT:
 			/* check interface functions */
 			if (!server_iface || !server_iface->disconnect) {
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				break;
 			}
@@ -553,5 +553,5 @@
 			free(source);
 			free(sink);
-			async_answer_0(callid, ret);
+			async_answer_0(chandle, ret);
 			break;
 		case IPC_M_HOUND_STREAM_ENTER:
@@ -560,5 +560,5 @@
 			    || !server_iface->add_stream
 			    || !server_iface->rem_stream) {
-				async_answer_0(callid, ENOTSUP);
+				async_answer_0(chandle, ENOTSUP);
 				break;
 			}
@@ -579,5 +579,5 @@
 			    id, flags, f, bsize, &stream);
 			if (ret != EOK) {
-				async_answer_0(callid, ret);
+				async_answer_0(chandle, ret);
 				break;
 			}
@@ -586,5 +586,5 @@
 			if (rec) {
 				if(server_iface->stream_data_read) {
-					async_answer_0(callid, EOK);
+					async_answer_0(chandle, EOK);
 					/* start answering read calls */
 					hound_server_write_data(stream);
@@ -592,9 +592,9 @@
 					    server_iface->server, stream);
 				} else {
-					async_answer_0(callid, ENOTSUP);
+					async_answer_0(chandle, ENOTSUP);
 				}
 			} else {
 				if (server_iface->stream_data_write) {
-					async_answer_0(callid, EOK);
+					async_answer_0(chandle, EOK);
 					/* accept write calls */
 					hound_server_read_data(stream);
@@ -602,5 +602,5 @@
 					    server_iface->server, stream);
 				} else {
-					async_answer_0(callid, ENOTSUP);
+					async_answer_0(chandle, ENOTSUP);
 				}
 			}
@@ -609,8 +609,8 @@
 		case IPC_M_HOUND_STREAM_DRAIN:
 			/* Stream exit/drain is only allowed in stream context*/
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			return;
 		}
@@ -624,10 +624,10 @@
 static void hound_server_read_data(void *stream)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	size_t size = 0;
 	errno_t ret_answer = EOK;
 	/* accept data write or drain */
-	while (async_data_write_receive_call(&callid, &call, &size)
+	while (async_data_write_receive_call(&chandle, &call, &size)
 	    || (IPC_GET_IMETHOD(call) == IPC_M_HOUND_STREAM_DRAIN)) {
 		/* check drain first */
@@ -636,5 +636,5 @@
 			if (server_iface->drain_stream)
 				ret = server_iface->drain_stream(stream);
-			async_answer_0(callid, ret);
+			async_answer_0(chandle, ret);
 			continue;
 		}
@@ -642,5 +642,5 @@
 		/* there was an error last time */
 		if (ret_answer != EOK) {
-			async_answer_0(callid, ret_answer);
+			async_answer_0(chandle, ret_answer);
 			continue;
 		}
@@ -648,8 +648,8 @@
 		char *buffer = malloc(size);
 		if (!buffer) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			continue;
 		}
-		const errno_t ret = async_data_write_finalize(callid, buffer, size);
+		const errno_t ret = async_data_write_finalize(chandle, buffer, size);
 		if (ret == EOK) {
 			/* push data to stream */
@@ -661,5 +661,5 @@
 	    ? EOK : EINVAL;
 
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
@@ -671,10 +671,10 @@
 {
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	ipc_call_t call;
 	size_t size = 0;
 	errno_t ret_answer = EOK;
 	/* accept data read and drain */
-	while (async_data_read_receive_call(&callid, &call, &size)
+	while (async_data_read_receive_call(&chandle, &call, &size)
 	    || (IPC_GET_IMETHOD(call) == IPC_M_HOUND_STREAM_DRAIN)) {
 		/* drain does not make much sense but it is allowed */
@@ -683,15 +683,15 @@
 			if (server_iface->drain_stream)
 				ret = server_iface->drain_stream(stream);
-			async_answer_0(callid, ret);
+			async_answer_0(chandle, ret);
 			continue;
 		}
 		/* there was an error last time */
 		if (ret_answer != EOK) {
-			async_answer_0(callid, ret_answer);
+			async_answer_0(chandle, ret_answer);
 			continue;
 		}
 		char *buffer = malloc(size);
 		if (!buffer) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			continue;
 		}
@@ -699,5 +699,5 @@
 		if (ret == EOK) {
 			ret_answer =
-			    async_data_read_finalize(callid, buffer, size);
+			    async_data_read_finalize(chandle, buffer, size);
 		}
 	}
@@ -705,5 +705,5 @@
 	    ? EOK : EINVAL;
 
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
Index: uspace/lib/nic/include/nic_impl.h
===================================================================
--- uspace/lib/nic/include/nic_impl.h	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/nic/include/nic_impl.h	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -82,5 +82,5 @@
 
 extern void nic_default_handler_impl(ddf_fun_t *dev_fun,
-    cap_call_handle_t callid, ipc_call_t *call);
+    cap_call_handle_t chandle, ipc_call_t *call);
 extern errno_t nic_open_impl(ddf_fun_t *fun);
 extern void nic_close_impl(ddf_fun_t *fun);
